Name:           test-ok
Version:        1.0
Release:        1%{?dist}
Summary:        This is package for review testing

Group:          Development/Tools
License:        GPLv2+
URL:            http://timlau.fedorapeople.org/files/test/review-test
Source0:        http://timlau.fedorapeople.org/files/test/review-test/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-iniparse

%description
This is a test spec file for testing automated review


%prep
%setup -q

%build
echo "echo hallo world" > test
echo "#!/bin/sh" > %{name}-bin
echo "exec sh /usr/share/test-ok/test" >> %{name}-bin

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 644 test $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 755 %{name}-bin $RPM_BUILD_ROOT/%{_bindir}/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 %{name}-bin.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYRIGHT INSTALL LICENSE README
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_bindir}/%{name}-bin
%{_mandir}/man1/%{name}-bin.1

%changelog
* Wed Jan 26 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0-1
- initial fedora package

